package org.bdware.sc.bean;

import org.bdware.sc.node.AnnotationNode;

import java.io.Serializable;
import java.util.List;

public class FunctionDesp implements Serializable {
    public List<AnnotationNode> annotations;
    public String functionName;
    public RouteInfo routeInfo;
    public boolean isView;

    public FunctionDesp(String name, List<AnnotationNode> annos, RouteInfo routeInfo, boolean isView) {
        this.functionName = name;
        this.annotations = annos;
        this.routeInfo = routeInfo;
        this.isView = isView;
    }

    public RouteInfo getRoute() {
        return routeInfo;
    }
}
